package util.sqlparse.visitor.mongo;

public enum Identifier {
   Find("find"),
   FindOne("findOne"),
   Pretty("pretty"),
   Insert("insert"),
   InsertOne("insertOne"),
   InsertMany("insertMany"),
   Update("update"),
   UpdateOne("updateOne"),
   UpdateMany("updateMany"),
   Save("save"),
   Delete("delete"),
   CreateIndexes("createIndexes"),
   CreateIndex("createIndex"),
   DropIndexes("dropIndexes"),
   DropIndex("dropIndex"),
   ReIndex("reIndex"),
   GetIndexes("getIndexes"),
   ListIndexes("listIndexes"),
   Indexes("indexes"),
   Index("index"),
   AllColumnsIndex("$**"),
   Filter("filter"),
   Count("count"),
   RenameCollection("renameCollection"),
   To("to"),
   Mapreduce("mapreduce"),
   MapReduce("mapReduce"),
   Map("map"),
   Reduce("reduce"),
   Code("$code"),
   Aggregate("aggregate"),
   Pipeline("pipeline"),
   Match("$match"),
   Unset("$unset"),
   NE("$ne"),
   EQ("$eq"),
   And("$and"),
   Distinct("distinct"),
   Key("key"),
   Skip("skip"),
   DollarSkip("$skip"),
   Limit("limit"),
   DollarLimit("$limit"),
   Finalize("finalize"),
   Scope("scope"),
   JsMode("jsMode"),
   JustOne("justOne"),
   Verbose("verbose"),
   Sort("sort"),
   Hint("hint"),
   Q("q"),
   U("u"),
   FindAndModify("findandmodify"),
   findAndModify("findAndModify"),
   FindOneAndUpdate("findOneAndUpdate"),
   FindOneAndReplace("findOneAndReplace"),
   FindOneAndDelete("findOneAndDelete"),
   New("new"),
   Remove("remove"),
   DeleteOne("deleteOne"),
   DeleteMany("deleteMany"),
   Fields("fields"),
   BypassDocumentValidation("bypassDocumentValidation"),
   Let("let"),
   Upsert("upsert"),
   Query("query"),
   Collation("collation"),
   Capped("capped"),
   Timeseries("timeseries"),
   ClusteredIndex("clusteredIndex"),
   ChangeStreamPreAndPostImages("changeStreamPreAndPostImages"),
   Validator("validator"),
   ValidationLevel("validationLevel"),
   ValidationAction("validationAction"),
   IndexOptionDefaults("indexOptionDefaults"),
   ViewOn("viewOn"),
   Size("size"),
   Sum("$sum"),
   N("n"),
   Avg("$avg"),
   Push("$push"),
   AddToSet("$addToSet"),
   First("$first"),
   Last("$last"),
   Min("$min"),
   Max("$max"),
   ShardVersion("shardVersion"),
   BatchSize("batchSize"),
   SingleBatch("singleBatch"),
   LSID("lsid"),
   DB("$db"),
   Db("db"),
   Coll("coll"),
   Projection("projection"),
   Set("$set"),
   MergeObjects("$mergeObjects"),
   Project("$project"),
   Unwind("$unwind"),
   Group("$group"),
   Lookup("$lookup"),
   From("from"),
   SORT("$sort"),
   Bucket("$bucket"),
   BucketAuto("$bucketAuto"),
   GroupBy("groupBy"),
   Output("output"),
   Facet("$facet"),
   Out("$out"),
   OutPlain("out"),
   ReplaceRoot("$replaceRoot"),
   SortByCount("$sortByCount"),
   UnionWith("$unionWith"),
   Merge("$merge"),
   GraphLookup("$graphLookup"),
   Into("into"),
   On("on"),
   Drop("drop"),
   CountDocuments("countDocuments"),
   Create("create"),
   CreateCollection("createCollection"),
   MaxTimeMS("maxTimeMS"),
   ReturnDocument("returnDocument"),
   ReturnNewDocument("returnNewDocument"),
   WriteConcern("writeConcern"),
   DigestPassword("digestPassword"),
   W("w"),
   J("j"),
   Wtimeout("wtimeout"),
   ReadConcern("readConcern"),
   Cursor("cursor"),
   Explain("explain"),
   AllowDiskUse("allowDiskUse"),
   Comment("comment"),
   ReturnKey("returnKey"),
   MaxCommand("max"),
   MinCommand("min"),
   ShowRecordId("showRecordId"),
   Tailable("tailable"),
   OplogReplay("oplogReplay"),
   NoCursorTimeout("noCursorTimeout"),
   AllowPartialResults("allowPartialResults"),
   ReadPref("$readPreference"),
   readPref("readPref"),
   Mode("mode"),
   Tags("tags"),
   Hedge("hedge"),
   AwaitData("awaitData"),
   ID("_id"),
   Ordered("ordered"),
   Multi("multi"),
   CreateUser("createUser"),
   Roles("roles"),
   Role("role"),
   SaslSupportedMechs("saslSupportedMechs"),
   UpdateUser("updateUser"),
   UsersInfo("usersInfo"),
   GrantRolesToUser("grantRolesToUser"),
   RevokeRolesFromUser("revokeRolesFromUser"),
   RunCommand("runCommand"),
   DropUser("dropUser"),
   RemoveUser("removeUser"),
   Unique("unique"),
   Name("name"),
   PartialFilterExpression("partialFilterExpression"),
   Sparse("sparse"),
   ExpireAfterSeconds("expireAfterSeconds"),
   Hidden("hidden"),
   StorageEngine("storageEngine"),
   CommitQuorum("commitQuorum"),
   DropTarget("dropTarget"),
   Pwd("pwd"),
   CustomData("customData"),
   AuthenticationRestrictions("authenticationRestrictions"),
   Mechanisms("mechanisms"),
   PasswordDigestor("passwordDigestor"),
   User("user"),
   Auth("auth"),
   ChangeUserPassword("changeUserPassword"),
   ShowCustomData("showCustomData"),
   ShowCredentials("showCredentials"),
   ShowPrivileges("showPrivileges"),
   ShowAuthenticationRestrictions("showAuthenticationRestrictions"),
   GetUser("getUser"),
   Dot("."),
   Level("level"),
   ArrayFilters("arrayFilters");

   public final String code;

   private Identifier(String code) {
      this.code = code;
   }
}
